[gentoo-commits] repo/gentoo:master commit in: app-misc/btail/

2019-08-28 Thread David Seifert
commit: 9d0cd34a58efa77013998c91c63b9e22d822abd8
Author: David Seifert  gentoo  org>
AuthorDate: Wed Aug 28 14:34:10 2019 +
Commit: David Seifert  gentoo  org>
CommitDate: Wed Aug 28 14:34:10 2019 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9d0cd34a

app-misc/btail: [QA] Fix ${HOMEPAGE} in SRC_URI

Package-Manager: Portage-2.3.73, Repoman-2.3.17
Signed-off-by: David Seifert  gentoo.org>

 app-misc/btail/btail-0.3-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/app-misc/btail/btail-0.3-r1.ebuild 
b/app-misc/btail/btail-0.3-r1.ebuild
index b434b22da8d..30747c72fb0 100644
--- a/app-misc/btail/btail-0.3-r1.ebuild
+++ b/app-misc/btail/btail-0.3-r1.ebuild
@@ -7,7 +7,7 @@ inherit toolchain-funcs
 
 DESCRIPTION="Bayesian logfile filter"
 HOMEPAGE="https://www.vanheusden.com/btail/";
-SRC_URI="${HOMEPAGE}/${P}.tgz"
+SRC_URI="https://www.vanheusden.com/btail/${P}.tgz";
 
 LICENSE="GPL-2"
 SLOT="0"



[gentoo-commits] repo/gentoo:master commit in: app-misc/btail/

2019-05-18 Thread Michael Palimaka
commit: 323c488f4d0208f83989f6162112a212491d78d1
Author: Michael Mair-Keimberger  gmail  com>
AuthorDate: Sat May 18 16:13:48 2019 +
Commit: Michael Palimaka  gentoo  org>
CommitDate: Sun May 19 00:23:53 2019 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=323c488f

app-misc/btail: use HTTPS

Signed-off-by: Michael Mair-Keimberger  gmail.com>
Signed-off-by: Michael Palimaka  gentoo.org>

 app-misc/btail/btail-0.3.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/app-misc/btail/btail-0.3.ebuild b/app-misc/btail/btail-0.3.ebuild
index 7a7acc3d203..b0235a0d999 100644
--- a/app-misc/btail/btail-0.3.ebuild
+++ b/app-misc/btail/btail-0.3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI="4"
@@ -6,7 +6,7 @@ EAPI="4"
 inherit toolchain-funcs
 
 DESCRIPTION="Bayesian logfile filter"
-HOMEPAGE="http://www.vanheusden.com/btail/";
+HOMEPAGE="https://www.vanheusden.com/btail/";
 SRC_URI="${HOMEPAGE}/${P}.tgz"
 
 LICENSE="GPL-2"



[gentoo-commits] repo/gentoo:master commit in: app-misc/btail/

2019-05-18 Thread Michael Palimaka
commit: 607cd88ade94d70fcd25f66251a88d705a4a8e94
Author: Michael Mair-Keimberger  gmail  com>
AuthorDate: Sat May 18 16:17:51 2019 +
Commit: Michael Palimaka  gentoo  org>
CommitDate: Sun May 19 00:23:54 2019 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=607cd88a

app-misc/btail: use HTTPS, EAPI=7 bump

Closes: https://bugs.gentoo.org/686232
Closes: https://github.com/gentoo/gentoo/pull/12043
Signed-off-by: Michael Mair-Keimberger  gmail.com>
Signed-off-by: Michael Palimaka  gentoo.org>

 app-misc/btail/btail-0.3-r1.ebuild | 41 ++
 1 file changed, 41 insertions(+)

diff --git a/app-misc/btail/btail-0.3-r1.ebuild 
b/app-misc/btail/btail-0.3-r1.ebuild
new file mode 100644
index 000..b434b22da8d
--- /dev/null
+++ b/app-misc/btail/btail-0.3-r1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+DESCRIPTION="Bayesian logfile filter"
+HOMEPAGE="https://www.vanheusden.com/btail/";
+SRC_URI="${HOMEPAGE}/${P}.tgz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+
+DEPEND="sys-libs/gdbm"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+   default
+   sed -i Makefile \
+   -e '/^LDFLAGS/s:=:+=:g' \
+   -e '/$(CC)/s:-Wall:$(CFLAGS) &:g' \
+   || die
+   sed -i conf.cpp \
+   -e '/Configline/s:):, line):g' \
+   || die
+}
+
+src_compile() {
+   emake \
+   CFLAGS="${CFLAGS}" \
+   CXXFLAGS="${CXXFLAGS}" \
+   CC="$(tc-getCC)" \
+   CXX="$(tc-getCXX)"
+}
+
+src_install() {
+   dobin blearn btail
+   dodoc readme.txt btail.conf license.txt
+}



[gentoo-commits] repo/gentoo:master commit in: app-misc/btail/

2019-06-25 Thread Andreas Sturmlechner
commit: 56bbc067d968edcb61756d6cf8b8783cc0015e57
Author: Michael Mair-Keimberger  gmail  com>
AuthorDate: Tue Jun 25 17:34:40 2019 +
Commit: Andreas Sturmlechner  gentoo  org>
CommitDate: Tue Jun 25 17:57:39 2019 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=56bbc067

app-misc/btail: remove old

Signed-off-by: Michael Mair-Keimberger  gmail.com>
Signed-off-by: Andreas Sturmlechner  gentoo.org>

 app-misc/btail/btail-0.3.ebuild | 41 -
 1 file changed, 41 deletions(-)

diff --git a/app-misc/btail/btail-0.3.ebuild b/app-misc/btail/btail-0.3.ebuild
deleted file mode 100644
index b0235a0d999..000
--- a/app-misc/btail/btail-0.3.ebuild
+++ /dev/null
@@ -1,41 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI="4"
-
-inherit toolchain-funcs
-
-DESCRIPTION="Bayesian logfile filter"
-HOMEPAGE="https://www.vanheusden.com/btail/";
-SRC_URI="${HOMEPAGE}/${P}.tgz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~ppc ~x86"
-IUSE=""
-
-DEPEND="sys-libs/gdbm"
-RDEPEND="${DEPEND}"
-
-src_prepare() {
-   sed -i Makefile \
-   -e '/^LDFLAGS/s:=:+=:g' \
-   -e '/$(CC)/s:-Wall:$(CFLAGS) &:g' \
-   || die
-   sed -i conf.cpp \
-   -e '/Configline/s:):, line):g' \
-   || die
-}
-
-src_compile() {
-   emake \
-   CFLAGS="${CFLAGS}" \
-   CXXFLAGS="${CXXFLAGS}" \
-   CC="$(tc-getCC)" \
-   CXX="$(tc-getCXX)"
-}
-
-src_install() {
-   dobin blearn btail
-   dodoc readme.txt btail.conf license.txt
-}